package
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.MouseEvent;

	import flash.geom.Point;


	public class Player extends Sprite
	{
		public var Tour_Termine:Boolean=false;
		public var Pret:Boolean=false;
		public var Joueur:int;

		protected var Jeu:Game;
		protected var Terrain:Land;



		public function Player()
		{
		}

	//Les fonctions prsentes ici sont destines  tre overrides dans certains cas, voir les sous classes.
		public function Initialiser(TriggerWhenReady:Function):void
		{//Par dfaut, l'intialisation est instantane.
			this.Pret=true;
			TriggerWhenReady.call(this);
		}

		public function Fin_Tour():void
		{
		}

		public function JouerArete(Arete:Arc):Boolean
		{
			if(Arete.PlayedByShort)
				return false; //L'arete a dj t joue.

			if(Joueur==Const.CUT)
			{//Supprimer l'arete :
				//Le graphisme
				Arete.graphics.clear();
				this.Terrain.PremierPlan.removeChild(Arete);

				//Les rfrences :
				Arete.Extremites[0].RemoveLien(Arete);
				Arete.Extremites[1].RemoveLien(Arete);

				//La copie originale :
				this.Terrain.All_Liens.splice(this.Terrain.All_Liens.indexOf(Arete),1);
				Arete=null;
			}
			else//Cas Joueur==SHORT)
				Arete.PlayedByShort=true;
			Tour_Termine=true;
			return true;
		}
	}
}